<nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark fixed-top">
  <div class="container">
    <% unless @public_instance %>
      <%= image_tag 'logos/partner.png', class: 'partner-logo' %>
    <% else %>
      <%= link_to image_tag('logos/interscity.svg', class: 'partner-logo'), 'https://interscity.org/' %>
    <% end %>

    <% if @public_instance%>
      <%= link_to t("views.shared.header.public_application_name"), root_path, class: 'navbar-brand mb-0 pb-0', style: "height: 25px"%>
    <% else %>
      <%= link_to t("views.shared.header.application_name"), root_path, class: 'navbar-brand'%>
    <% end %>

    <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarResponsive">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <%= link_to t('views.shared.header.map_and_filters'), procedures_path, class: 'nav-link', data: { turbolinks: false } %>
        </li>

        <!-- FIXME: implement this page
        <li class="nav-item">
          <%= link_to t('views.shared.header.health_facilities'), '#', class: 'nav-link' %>
        </li>
        -->

        <li class="nav-item">
          <%= link_to t('views.shared.header.data_and_charts'), general_data_path, target: '_blank', class: 'nav-link' %>
        </li>

        <li class="nav-item">
          <%= link_to t('views.shared.header.about'), about_path, class: 'nav-link' %>
        </li>

         <li class="nav-item">
          <%= link_to t('views.shared.header.guide'), guide_path, class: 'nav-link' %>
         </li>

        <% unless @public_instance %>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownPortfolio" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <%= t('views.shared.header.user') %>
            </a>
            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownPortfolio">
              <% if user_signed_in? %>
                <% if current_user.admin %>
                  <%= link_to t('views.shared.header.admin'), trestle.root_path, class: 'dropdown-item' %>
                <% end %>
                <%= link_to t('views.shared.header.logout'), destroy_user_session_path, class: 'dropdown-item', method: :delete %>
              <% else %>
                <%= link_to t('views.shared.header.login'), new_user_session_path, class: 'dropdown-item' %>
              <% end %>
            </div>
          </li>
        <% end %>

        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownLocale" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <%= t('views.shared.header.language') %>
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownLocale">
            <% languages = { 'pt-BR': 'Português', 'en': 'English' }%>
            <% I18n.available_locales.each do |locale| %>
              <% classes = 'dropdown-item' %>
              <% classes += ' disabled' if I18n.locale == locale %>
              <%= link_to languages[locale], { locale: locale }, class: classes, method: :get %>
            <% end %>
          </div>
        </li>
      </ul>
    </div>
  </div>
</nav>
